//
// Parser object
//

#ifndef _PARSER_H_
#define _PARSER_H_

#include <iostream>
#include <string>
using namespace std;

/**
 * Translates and 'cleans up' user into into a standard form.
 * The parser object recives text input and converts it into a standard
 * format in which other objects can use.
 *
 * \author Phil Howlett
 */

class Parser
{ private:
	string inputline;

	// private methods
	string clean_input (  );

public:
	  Parser (  );
	void reset (  );
	void input (  );
	int is_command (  );
	string inputvalue (  );
	int empty (  );
	int cmd_quit (  );
	int cmd_help (  );
	int cmd_status (  );
	int cmd_reset (  );
	int cmd_erase (  );
	void show_help (  );
	void show_status (  );
	void erase_nicole (  );
	 ~Parser (  );
};

#endif
